package ru.ulstu.entity;

import java.util.Objects;

public abstract class BaseEntity {
    protected Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(this.id);
    }

    @Override
    public boolean equals(Object o) {
        // self check
        if (this == o)
            return true;
        // null check
        if (o == null)
            return false;
        // type check and cast
        if (getClass() != o.getClass())
            return false;
        BaseEntity baseEntity = (BaseEntity) o;
        // field comparison
        return Objects.equals(id, (baseEntity.getId()));
    }
}
